Visualizar configuração de pagamento
curl --request GET \
--url https://api.dooki.com.br/v2/{alias}/checkout/payments/{paymentId}/config/{id} \
--header 'User-Secret-Key: <api-key>' \
--header 'User-Token: <api-key>'import requests
url = "https://api.dooki.com.br/v2/{alias}/checkout/payments/{paymentId}/config/{id}"
headers = {
"User-Token": "<api-key>",
"User-Secret-Key": "<api-key>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'User-Token': '<api-key>', 'User-Secret-Key': '<api-key>'}
};
fetch('https://api.dooki.com.br/v2/{alias}/checkout/payments/{paymentId}/config/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"payment_id": 123,
"affiliation_id": 123,
"active": true,
"default_display": true,
"id": 123,
"spread": true,
"ignore_promotions": true,
"accumulate_discount": true,
"percent_discount": 123,
"min_installment_value": 123,
"max_installments_without_tax": 123,
"billet_expire_days": 123,
"days_to_cancel_unpaid_billets": 123,
"hours_to_cancel_unpaid_pix": 123,
"hours_to_expire_pix_code": 123,
"billet_instructions": "<string>",
"installments": {
"data": [
{
"id": 1,
"payment_id": 2,
"installment": 1,
"tax": 1.5,
"percent_discount": 0,
"start_at": {
"date": "2000-08-17 10:24:24",
"timezone_type": 3,
"timezone": "America/Sao_Paulo"
},
"end_at": {
"date": "2000-08-17 10:24:24",
"timezone_type": 3,
"timezone": "America/Sao_Paulo"
},
"created_at": {
"date": "2000-08-17 10:24:24",
"timezone_type": 3,
"timezone": "America/Sao_Paulo"
},
"updated_at": {
"date": "2000-08-17 10:24:24",
"timezone_type": 3,
"timezone": "America/Sao_Paulo"
}
}
]
},
"affiliation": {
"data": {
"id": 123,
"active": true,
"backup": true,
"name": "Cielo Affiliation",
"statement_descriptor": "<string>",
"auto_capture": true,
"has_payment_config": false,
"capture_hour_delay": 123,
"force_minimum_tax": true,
"status": "<string>",
"auth_type": "<string>",
"gateway": {
"data": [
{
"alias": "billet",
"name": "Boleto Bancário",
"icon_url": "<string>",
"allow_backup": true,
"allow_edit_pix_code_expiration_time": true,
"installments_config": {
"allow_custom_installments": true,
"message": "<string>",
"help_link": "<string>"
},
"auth_type": "Boleto Bancário",
"gateway_exists": true,
"params": {
"data": [
[
"env",
"merchant_id",
"key"
]
]
}
}
]
}
}
},
"payment": {
"data": {
"id": 123,
"alias": "<string>",
"name": "<string>",
"has_config": true,
"active_config": true,
"is_credit_card": true,
"is_deposit": true,
"is_billet": true,
"is_pix": true,
"is_pix_in_installments": true,
"is_wallet": true,
"icon_url": "<string>"
}
},
"created_at": "2023-11-07T05:31:56Z",
"updated_at": "2023-11-07T05:31:56Z"
}Configurações de pagamentos
Visualizar configuração de pagamento
Visualiza as configurações de um tipo de pagamento específico
GET
/
{alias}
/
checkout
/
payments
/
{paymentId}
/
config
/
{id}
Visualizar configuração de pagamento
Path Parameters
Alias da loja
ID da forma de pagamento
ID da configuração de pagamento
Response
Configuração de pagamento visualizada com sucesso
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?
⌘I